Bug 1258818 - Many apps crash in gdk_event_source_prepare when logging out of GNOME
Summary: Many apps crash in gdk_event_source_prepare when logging out of GNOME
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:be70a0e81af2e22ea2aeb99635a...
: 1409285 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-01 11:04 UTC by Mike FABIAN
Modified: 2017-06-09 19:12 UTC (History)
6 users (show)

Fixed In Version: gtk3-3.22.15-2.fc25 gtk3-3.22.15-2.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-27 03:01:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (35.46 KB, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: core_backtrace (2.55 KB, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: dso_list (10.67 KB, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: environ (917 bytes, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: maps (49.74 KB, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.33 KB, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: open_fds (1.12 KB, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-09-01 11:04 UTC, Mike FABIAN
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 783047 None None None 2017-05-24 13:55:58 UTC

Description Mike FABIAN 2015-09-01 11:04:20 UTC
Version-Release number of selected component:
gnome-terminal-3.16.2-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: gdk_event_source_prepare
executable:     /usr/libexec/gnome-terminal-server
global_pid:     4139
kernel:         4.2.0-0.rc8.git0.1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Mike FABIAN 2015-09-01 11:04:24 UTC
Created attachment 1068952 [details]
File: backtrace

Comment 2 Mike FABIAN 2015-09-01 11:04:25 UTC
Created attachment 1068953 [details]
File: cgroup

Comment 3 Mike FABIAN 2015-09-01 11:04:27 UTC
Created attachment 1068954 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2015-09-01 11:04:28 UTC
Created attachment 1068955 [details]
File: dso_list

Comment 5 Mike FABIAN 2015-09-01 11:04:30 UTC
Created attachment 1068956 [details]
File: environ

Comment 6 Mike FABIAN 2015-09-01 11:04:31 UTC
Created attachment 1068957 [details]
File: limits

Comment 7 Mike FABIAN 2015-09-01 11:04:33 UTC
Created attachment 1068958 [details]
File: maps

Comment 8 Mike FABIAN 2015-09-01 11:04:34 UTC
Created attachment 1068959 [details]
File: mountinfo

Comment 9 Mike FABIAN 2015-09-01 11:04:36 UTC
Created attachment 1068960 [details]
File: namespaces

Comment 10 Mike FABIAN 2015-09-01 11:04:37 UTC
Created attachment 1068961 [details]
File: open_fds

Comment 11 Mike FABIAN 2015-09-01 11:04:39 UTC
Created attachment 1068962 [details]
File: proc_pid_status

Comment 12 Fedora End Of Life 2016-11-24 12:25:25 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2016-12-20 14:32:05 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 14 Debarshi Ray 2017-04-18 09:52:48 UTC

*** This bug has been marked as a duplicate of bug 1366897 ***

Comment 15 Debarshi Ray 2017-05-24 09:11:15 UTC
*** Bug 1409285 has been marked as a duplicate of this bug. ***

Comment 16 Debarshi Ray 2017-05-24 10:19:30 UTC
This is very similar to bug 1366897.

Comment 17 Fedora Update System 2017-05-25 11:47:51 UTC
gtk3-3.22.15-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-95e2c4d5c8

Comment 18 Fedora Update System 2017-05-25 12:10:45 UTC
gtk3-3.22.15-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a7018cd174

Comment 19 Fedora Update System 2017-05-25 19:22:17 UTC
gtk3-3.22.15-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-95e2c4d5c8

Comment 20 Fedora Update System 2017-05-26 06:03:34 UTC
gtk3-3.22.15-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a7018cd174

Comment 21 Fedora Update System 2017-05-27 03:01:54 UTC
gtk3-3.22.15-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-06-09 19:12:03 UTC
gtk3-3.22.15-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.